Previous Next JavaScript must be enabled to correctly display this content

## 2.5.2 Field Details

This topic helps user to define the fields for the main entity.

Click the Add button and provide the field details.

Figure 2-7 Field Details

Description of "Figure 2-7 Field Details"
OBX supports the following field types:

Table 2-2 Field types - Field Description

Field | Description
--- | ---
String | The OBX field type is built-in. It's translated to a varchar in SQL scripts, a string type in Java files, and a normal text field in UI components.
Integer | The OBX field type is built-in. It's translated to a number in SQL scripts, a integer type in Java files, and a normal text field in UI components.
Float | The OBX field type is built-in. It's translated to a number in SQL scripts, a float type in Java files, and a normal text field in UI components.
LOV | The OBX field type is inherited from the base product and has its own configuration as below.

Figure 2-8 LOV Configuration

Description of "Figure 2-8 LOV Configuration"
This ID is the specific ID given to this LOV component. The title is displayed on the LOV dialog box, and the endpoint is the service endpoint this field connects to for fetching values.

Table 2-3 LOV component - Field Description

Field Name | Description
--- | ---
Date | This field is also inherited from the base product and add date component on the screen.
Amount | This field is also inherited from the base product and add the amount field on the screen. This field also captures currency along with the amount.
Combobox | This field is taken from Ojet Cookbook and OBX UI provides configurations to needed for this component like value and label.

Figure 2-9 Combobox Configuration

Description of "Figure 2-9 Combobox Configuration"

Table 2-4 Combobox Configuration - Field Description

Field | Description
--- | ---
Checkbox | This field type is also taken from Ojet Cookbook and OBX UI provides configurations to needed for this component like value and label.
Toggle Button | This field type is taken from Ojet Cookbook.
Text Area | This field type is taken from Ojet Cookbook.

Parent topic: OBX UI